## ros-foxy-webots-ros2-importer 2023.0.2

=== webots_ros2_importer/urdf2webots/requirements.txt ===
Pillow
numpy
rospkg
