=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(motoman)
find_package(catkin REQUIRED)
catkin_metapackage()
