=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_mh50_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_mh50_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/launch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
