=== debian/control ===
Source: ros-foxy-webots-ros2-importer
Section: misc
Priority: optional
Maintainer: Cyberbotics <support@cyberbotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pil <!nocheck>, python3-pycodestyle <!nocheck>, python3-pytest <!nocheck>, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://wiki.ros.org/webots_ros2
Standards-Version: 3.9.2

Package: ros-foxy-webots-ros2-importer
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-collada, python3-lark, ros-foxy-builtin-interfaces, ros-foxy-xacro, ros-foxy-ros-workspace
Description: This package allows to convert URDF and XACRO files into Webots PROTO files.
